Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEMAbeans
Class ZGCarteSEMA

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  SEMAbeans.ZGCarteSEMA

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class ZGCarteSEMA
extends javax.swing.JComponent

Bean used to display a `World`. It needs to be initialized with a World through the `init(World world)` function.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ZGCarteSEMA()` Creates the bean.

Method Summary
`float` | `getCenterXu()` Returns the x-coordinate (in simulated unit) of the center of the view.
`float` | `getCenterYu()` Returns the y-coordinate (in simulated unit) of the center of the view.
`float` | `getHeightu()` Returns the height (in simulated unit) of the view.
`java.awt.Dimension` | `getMinimumSize()` Returns the mminimum size depending on the world.
`java.awt.Dimension` | `getPreferredSize()` Returns a preferred size depending on the world.
`float` | `getWidthu()` Returns the width (in simulated unit) of the view.
`float` | `getXu()` Returns the top left corner x-coordinate (in simulated unit).
`float` | `getYu()` Returns the top left corner x-coordinate (in simulated unit).
`void` | `init(World world)` Inits the bean with a world.
`protected void` | `paintComponent(java.awt.Graphics g)` Paints the map.
`void` | `setCenterXu(float x)` Sets the x-coordinate of the center of the view.
`void` | `setCenterYu(float y)` Sets the y-coordinate of the center of the view.
`void` | `setHighlightSelectedBox(boolean b)` Sets whether the selected box has to be highlighted
`void` | `setSelectedBox(Box selectedBox)` Sets the selectedBox.
`void` | `setSelectedElement(Element selectedElement)` Sets the selected element.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ZGCarteSEMA

    public ZGCarteSEMA()

  Creates the bean. It is created linked to an empty world, to prevent errors before the call to `init(World world)`

Method Detail

### setHighlightSelectedBox

    public void setHighlightSelectedBox(boolean b)

  Sets whether the selected box has to be highlighted

  Parameters:
    `b` - the value to set the highlightSelectedBox property to

### setCenterXu

    public void setCenterXu(float x)

  Sets the x-coordinate of the center of the view.

  Parameters:
    `x` - x-coordinate (in simulated unit) of the center.

### getCenterXu

    public float getCenterXu()

  Returns the x-coordinate (in simulated unit) of the center of the view.

  Returns:
    the x-coordinate (in simulated unit) of the center of the view.

### setCenterYu

    public void setCenterYu(float y)

  Sets the y-coordinate of the center of the view.

  Parameters:
    `y` - y-coordinate (in simulated unit) of the center.

### getCenterYu

    public float getCenterYu()

  Returns the y-coordinate (in simulated unit) of the center of the view.

  Returns:
    the y-coordinate (in simulated unit) of the center of the view.

### setSelectedElement

    public void setSelectedElement(Element selectedElement)

  Sets the selected element.

  Parameters:
    `selectedElement` - the selected element.

### setSelectedBox

    public void setSelectedBox(Box selectedBox)

  Sets the selectedBox.

  Parameters:
    `selectedBox` - the selectedBox.

### init

    public void init(World world)

  Inits the bean with a world.

  Parameters:
    `world` - the world to display.

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Returns a preferred size depending on the world.

  Returns:
    the preferred size (in pixels).
  See Also:
    `JComponent.getPreferredSize()`

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Returns the mminimum size depending on the world.

  Returns:
    thre minimum size (in pixels).
  See Also:
    `JComponent.getMinimumSize()`

### getWidthu

    public float getWidthu()

  Returns the width (in simulated unit) of the view.

  Returns:
    the width (in simulated unit) of the view.

### getXu

    public float getXu()

  Returns the top left corner x-coordinate (in simulated unit).

  Returns:
    the top left corner x-coordinate (in simulated unit).

### getHeightu

    public float getHeightu()

  Returns the height (in simulated unit) of the view.

  Returns:
    the height (in simulated unit) of the view.

### getYu

    public float getYu()

  Returns the top left corner x-coordinate (in simulated unit).

  Returns:
    the top left corner x-coordinate (in simulated unit).

### paintComponent

    protected void paintComponent(java.awt.Graphics g)

  Paints the map. Computes only visible boxes and their registered elements. First, it erases previous graphics. Then, it correctly translate the screen to synchronized the area to display and the drawing. Then, it computes the boxes to draw and paints them. Finally, it paints the occupants of these boxes, according to their drawin priority (`Element.getDrawingPriority()`).

  Parameters:
    `g` - the graphics context.
  See Also:
    `JComponent.paintComponent(Graphics g)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD